unit frm_Jumper;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls;

type
  TfrmJumper = class(TForm)
    Label1: TLabel;
    lbl_Word: TLabel;
    ed_TopicID: TEdit;
    Label3: TLabel;
    cb_Window: TComboBox;
    lbl_Window: TLabel;
    SpeedButton1: TSpeedButton;
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmJumper: TfrmJumper;

implementation
uses frm_hoved, WordSource;
{$R *.dfm}

procedure TfrmJumper.SpeedButton1Click(Sender: TObject);
var
  Range : TRange;
  Attr, OrigAttr : TAttributes;

begin
     with frmHoved do
     begin
        Attr := ws.AttributesOfIndex(ws.SelStart);
        OrigAttr := Attr;
        if (ws.SelLength > 0) and  (ws.SelLength < 50) then
          Range := ws.SelRange
        else
          Range := ws.CurrentWordRange;
        if Range.Index = -1 then
        begin
          Showmessage('No word i focus');
          Exit;
        end;
        if Comparetext(cb_Window.Text, 'Popup') = 0 then
          Attr.FontStyle := [fsUnderline]
        else
          Attr.DblUnderline := True;
        ws.SetTextAttributes(Attr, Range);
        ws.Selstart := Ren(Range);
        ws.SelLength := 0;
        Attr := OrigAttr;
        Attr.Hidden := True;
        ws.SetSelAttributes(Attr);
        if Trim(ed_TopicID.Text) = '' then
          ws.TypeText('IDH_')
        else
          ws.TypeText(ed_TopicID.Text);
        if Comparetext(cb_Window.Text, 'Default') <> 0 then
         ws.TypeText('>' + cb_Window.Text);

     end;
end;

end.
